This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 168216 - LTC18126-[RHEL4] FSRACER test terminating abnormally
LTC18126-[RHEL4] FSRACER test terminating abnormally
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks: 170416
  Show dependency treegraph
 
Reported: 2005-09-13 12:02 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEL4-U3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-17 13:43:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FSRACER testcase from IBM. (1.18 KB, application/octet-stream)
2005-10-11 16:56 EDT, Mike Gahagan
no flags Details
Patch for fs/namei.c (574 bytes, patch)
2005-10-25 10:40 EDT, Mike Gahagan
no flags Details | Diff

  None (edit)
Description Issue Tracker 2005-09-13 12:02:11 EDT
Escalated to Bugzilla from IssueTracker
Comment 21 Larry Woodman 2005-09-20 13:00:10 EDT
The problem here is that there is some sort of leand in the slabcache. 
Specifically iy appears that the names_cache it consuming all of lowmem which
results in an OOM kill.  Please get me an entire /proc/slabinfo output when the
OOM kill occurs.  Please attach that output as well as the show_mem() output
that appears on the console when the OOM kill occurs. 

BTW, is this a regression from RHEL4-U1 or did the same problem happen when you
ran this application/test on that kernel?

Larry Woodman
Comment 22 Larry Woodman 2005-09-20 13:26:55 EDT
Let me re-write me last comment im "english" !!!

The problem here is that there is some sort of leak in the slabcache.
Specifically it appears that the names_cache is consuming all of lowmem which
results in an OOM kill.  Please get me an entire /proc/slabinfo output when the
OOM kill occurs.  Please attach that output as well as the show_mem() output
that appears on the console when the OOM kill occurs. 

BTW, is this problem a regression from RHEL4-U1 or did the same problem happen
when you ran this application/test on that kernel?

Larry Woodman
Comment 25 Larry Woodman 2005-10-11 16:37:25 EDT
Can we get a repeoducer from IBM here???

Larry Woodman
Comment 26 Mike Gahagan 2005-10-11 16:56:09 EDT
Created attachment 119820 [details]
FSRACER testcase from IBM.
Comment 28 Mike Gahagan 2005-10-25 10:40:41 EDT
Created attachment 120367 [details]
Patch for fs/namei.c 

This patch is more complete and based on the patch which Rick had submitted to
mainline and has been accepted.

Note You need to log in before you can comment on or make changes to this bug.